plugins {
    id 'com.android.application'
}

ext {
    miraclegardenlibVersion = '1.0'
}

android {
    namespace 'com.miraclegarden.smsmessage'
    compileSdk 34

    defaultConfig {
        applicationId "com.miraclegarden.smsmessage"
        minSdk 24
        targetSdk 34
        versionCode 12
        versionName "2.2"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    signingConfigs {
        debug {
            storeFile file('justlet.jks')
            storePassword "123456"
            keyAlias 'key0'
            keyPassword "123456"
        }
        release {
            storeFile file('justlet.jks')
            storePassword "123456"
            keyAlias 'key0'
            keyPassword "123456"
        }
    }

    buildTypes {
        release {
            signingConfig signingConfigs.release
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    lintOptions {
        abortOnError false
    }

    buildFeatures {
        viewBinding true
    }

}

dependencies {
    implementation "com.github.yingliangwei:MiracleGardenLib:1.0"
    implementation 'com.squareup.okhttp3:okhttp:4.12.0'
    implementation 'androidx.appcompat:appcompat:1.7.0'
    implementation 'com.google.android.material:material:1.12.0'
    implementation 'androidx.core:core:1.13.1'
    implementation 'androidx.work:work-runtime:2.9.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.2.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.6.1'
    api 'com.google.code.gson:gson:2.11.0'
}